/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sun.jsat;

import java.awt.Dimension;
import java.awt.LayoutManager;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import sun.awt.VerticalBagLayout;

/**
 *
 * @author joe
 */
public class ParametersPanel extends JPanel  {
    
    List<JLabel> parameterNames;
    List<JTextField> parameterFields;
    
    
    public ParametersPanel() {
        parameterFields = new ArrayList<JTextField>();
        parameterNames = new ArrayList<JLabel>();
        super.setLayout(new VerticalBagLayout(10));
        this.setPreferredSize(new Dimension(250,400));
        this.setMinimumSize(new Dimension(10,10));
        
        this.validate();
                
    }
    
    public void addParameterField(String name) {
        JLabel newLabel = new JLabel(name);
        JTextField newField = new JTextField();

        newField.setPreferredSize(new Dimension(80,25));
        newField.setMaximumSize(new Dimension(Integer.MAX_VALUE, 25));
        
        JPanel subPanel = new JPanel();
        
        
        subPanel.add(newLabel);
        subPanel.add(newField);

        this.add(subPanel);
        
        subPanel.setVisible(true);
        
        parameterNames.add(newLabel);
        parameterFields.add(newField);
        
        
        
    }
    
    public List<String> getParameterNames() {
        List<String> ret = new ArrayList<String>();
        for(JLabel jb: parameterNames) {
            ret.add(jb.getText());
        }
        return ret;
    }
    
    public List<String> getParameterValues() {
        List<String> ret = new ArrayList<String>();
        for(JTextField jtf: parameterFields) {
            ret.add(jtf.getText());
        }
        return ret;
    }
    
    @Override
    public void setLayout(LayoutManager lm) {
        
    }
    
    public void clearParameterFields() {
        parameterFields.clear();
        parameterNames.clear();
        this.removeAll();
    }
    

}
