package org.sun.jsat.trees;

import securityanalyzer.resourcemodel.ParameterDefinition;


public class FilledParameterDefTreeNode extends RefreshableTreeNode<ParameterDefinition> {

    private String value;
    private boolean isDefault;
    
    public FilledParameterDefTreeNode(ParameterDefinition pd, String value, boolean isDefault) {
        super(pd, pd.getName());
        this.baseObject = pd;
        this.value = value;
        this.isDefault = isDefault;
    }

    public String getValue(){
        return value;
    }
    
    public boolean isDefault(){
        return isDefault;
    }
    
    public void setValue(String value){
        this.value = value;
    }
    
    public void setIsDefault(boolean isDefault){
        this.isDefault = isDefault;
    }
    
    @Override
    public String toString(){
        return super.toString() + " [" + value + "]";
    }
}
