/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sun.jsat.trees;

import java.util.HashMap;
import java.util.Map;
import org.sun.jsat.ImportDialog;
import securityanalyzer.useframework.SecurityModel;

/**
 *
 * @author joe
 */
public class RootTreeNodeMaker {

    Map<String, CodeGroupingRootTreeNode> actionNodes;
    Map<String, CodeGroupingRootTreeNode> ruleNodes;
    SecurityModel sm;
    
    public RootTreeNodeMaker(SecurityModel sm) {
        this.sm = sm;
        actionNodes = new HashMap<String, CodeGroupingRootTreeNode>();
        ruleNodes = new HashMap<String, CodeGroupingRootTreeNode>();
        
        //actionNodes.put(ImportDialog.CURRENT_CONFIGURATION, new CodeGroupingRootTreeNode(sm.getDefaultCodeGroup(), CodeGroupingRootTreeNode.DISPLAY_ACTIONS));
        //ruleNodes.put(ImportDialog.CURRENT_CONFIGURATION, new CodeGroupingRootTreeNode(sm.getDefaultCodeGroup(), CodeGroupingRootTreeNode.DISPLAY_RULES));
    }
    
    public CodeGroupingRootTreeNode getOrCreateRuleNode(String name, int type) {
        
        CodeGroupingRootTreeNode node = ruleNodes.get(name);
        
        if(node == null) {
            node = new CodeGroupingRootTreeNode(sm.getDefaultCodeGroup(), CodeGroupingRootTreeNode.DISPLAY_RULES, type, name);
            node.setName(name);
            ruleNodes.put(name, node);
        }
        
        return node;
    }
    
    public CodeGroupingRootTreeNode getOrCreateActionNode(String name, int type) {
                CodeGroupingRootTreeNode node = actionNodes.get(name);
        
        if(node == null) {
            node = new CodeGroupingRootTreeNode(sm.getDefaultCodeGroup(), CodeGroupingRootTreeNode.DISPLAY_ACTIONS, type, name);
            node.setName(name);
            actionNodes.put(name, node);
        }
        
        return node;
    }
    
}
